%define		rpm_macros_rev	1.709
%define		find_lang_rev	1.37
Summary:	PLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa PLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	1
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Source5:	rpm.macros.kernel
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# macros.d/kernel
Conflicts:	rpm-build < 5.4.15-6
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
%if "%{pld_release}" != "ac"
# libtool --install
Conflicts:	libtool < 2:2.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for PLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa PLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .
cp -p %{SOURCE5} .

%if "%{pld_release}" == "ac"
%{__sed} -i -e '/libtoolize --copy --force --install/s/ --install//' rpm.macros
%patch0 -p1
%endif

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d

cp -a rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
cp -a rpm.macros.kernel $RPM_BUILD_ROOT%{_usrlibrpm}/macros.d/kernel

install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%{_usrlibrpm}/macros.d/kernel
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Tue May 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> e705316
- added pythonegg/python3egg noautoreq helpers
- 1.709

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 74d337f
- add q alias

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 4bd523d
- drop rpmb

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 2c615db
- drop kdediff, kde3.5 unmaintained and current kde in git probably

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 50eb5db
- cleanup functions related to pld cvs -- no longer needed

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> e36bf11
- use UTS_RELEASE for determining kernel version, rpm EVR doesn't contain alt_kernel information

* Tue Jan 27 2015 Elan Ruusamäe <glen@delfi.ee> 0109ecc
- kernel modules: fix syntax error; rel 2

* Mon Jan 26 2015 Elan Ruusamäe <glen@delfi.ee> ffbeb31
- "xz -9e" and "xz" size difference is very minimal:

* Mon Jan 26 2015 Elan Ruusamäe <glen@delfi.ee> ac67d8e
- v1.707: make kernel module compression configurable via kmod_compress_cmd macro

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 59c9ed8
- v1.706: find-lang: v1.37 update --with-qm to accept from any path

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 8da903f
- C: rpm-build < 5.4.15-6 because of macros.d/kernel file

* Tue Jan 06 2015 Elan Ruusamäe <glen@delfi.ee> 88cb0d9
- find-lang: put diagnostics to stderr

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> d9c557d
- moved _{host,target}_base_arch macros where they belong (kernel specific)
- translate x32 to x86_64 for kernel purposes

* Thu Jan 01 2015 Jan Rękorajski <baggins@pld-linux.org> a5e4300
- add x32 support to cmake

* Sun Dec 14 2014 Jan Rękorajski <baggins@pld-linux.org> ccab679
- fix kernl BR generator

* Sun Dec 14 2014 Jan Rękorajski <baggins@pld-linux.org> 8aed581
- drop non-dist kernel support, it was broken for a long time and noone noticed/cared

* Sun Dec 14 2014 Jan Rękorajski <baggins@pld-linux.org> 3a27fce
- allow versioned BRs when generating them for kernel packages

* Wed Dec 10 2014 Jan Rękorajski <baggins@pld-linux.org> a6c09f4
- package new macro file

* Wed Dec 10 2014 Jan Rękorajski <baggins@pld-linux.org> f1f5d04
- add argument parsing to buildrequires_kernel macro

* Wed Dec 10 2014 Jan Rękorajski <baggins@pld-linux.org> 1c834f1
- split all kernel macros to separate file and install it in place of
  one provided by rpm
- 1.699

